#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint workspaceone_sdk_flutter.podspec' to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'workspaceone_sdk_flutter'
  s.version          = '1.1.0'
  s.summary          = 'Workspace ONE SDK For Flutter'
  s.description      = 'The VMware Workspace ONE SDK for Flutter allows you to integrate the Workspace ONE SDKs for iOS and Android into your Flutter applications.'
  # [TODO] to change Home-Page url
  s.homepage         =  'https://github.com/vmwareairwatchsdk/vmware-wsone-sdk-flutter'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'VMware Workspace ONE' => 'workspace-one-sdk@vmware.com' }
  s.source           = { :path => '.' }
  s.source_files     = "**/*.{h,c,m,swift}"
#  s.vendored_frameworks ='Framework/AWSDK.framework'
  s.dependency 'Flutter'
  s.platform = :ios, '12.0'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  s.swift_version = '5.0'
  
  def $workspaceone_sdk_flutter.add_spm_to_target(project, target_name, url, requirement, product_name)
    project.targets.each do |target|
      if target.name == target_name
        pkg = project.new(Xcodeproj::Project::Object::XCRemoteSwiftPackageReference)
        pkg.repositoryURL = url
        pkg.requirement = requirement
        ref = project.new(Xcodeproj::Project::Object::XCSwiftPackageProductDependency)
        ref.package = pkg
        ref.product_name = "AWSDK"
        target.package_product_dependencies << ref
        project.root_object.package_references << pkg
      end
    end
    project.save
  end
  def $workspaceone_sdk_flutter.post_install(installer)
    self.add_spm_to_target(installer.pods_project, "workspaceone_sdk_flutter", "https://github.com/vmwareairwatchsdk/iOS-WorkspaceONE-SDK", {kind: "upToNextMajorVersion",minimumVersion: "21.9.0"}, "WorkspaceOneSDK")
  end
end
